org.wildfly.swarm.config.remoting

## Class RemoteOutboundConnection<T extends RemoteOutboundConnection<T>>

- java.lang.Object
- - org.wildfly.swarm.config.remoting.RemoteOutboundConnection<T>

-     public class RemoteOutboundConnection<T extends RemoteOutboundConnection<T>>
      extends Object

  Remoting outbound connection.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RemoteOutboundConnection.RemoteOutboundConnectionResources` Child mutators for RemoteOutboundConnection

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteOutboundConnection(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `authenticationContext()` Reference to the authentication context instance containing the configuration for outbound connections.
    `T` | `authenticationContext(String value)` Reference to the authentication context instance containing the configuration for outbound connections.
    `String` | `getKey()`
    `String` | `outboundSocketBindingRef()` Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.
    `T` | `outboundSocketBindingRef(String value)` Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `String` | `protocol()` The protocol to use for the remote connection.
    `T` | `protocol(String value)` The protocol to use for the remote connection.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `securityRealm()` Reference to the security realm to use to obtain the password and SSL configuration.
    `T` | `securityRealm(String value)` Reference to the security realm to use to obtain the password and SSL configuration.
    `RemoteOutboundConnection.RemoteOutboundConnectionResources` | `subresources()`
    `String` | `username()` The user name to use when authenticating against the remote server.
    `T` | `username(String value)` The user name to use when authenticating against the remote server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteOutboundConnection

          public RemoteOutboundConnection(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RemoteOutboundConnection.RemoteOutboundConnectionResources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### authenticationContext

          public String authenticationContext()

      Reference to the authentication context instance containing the configuration for outbound connections.

    - #### authenticationContext

          public T authenticationContext(String value)

      Reference to the authentication context instance containing the configuration for outbound connections.

    - #### outboundSocketBindingRef

          public String outboundSocketBindingRef()

      Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.

    - #### outboundSocketBindingRef

          public T outboundSocketBindingRef(String value)

      Name of the outbound-socket-binding which will be used to determine the destination address and port for the connection.

    - #### protocol

          public String protocol()

      The protocol to use for the remote connection.

    - #### protocol

          public T protocol(String value)

      The protocol to use for the remote connection.

    - #### securityRealm

          public String securityRealm()

      Reference to the security realm to use to obtain the password and SSL configuration.

    - #### securityRealm

          public T securityRealm(String value)

      Reference to the security realm to use to obtain the password and SSL configuration.

    - #### username

          public String username()

      The user name to use when authenticating against the remote server.

    - #### username

          public T username(String value)

      The user name to use when authenticating against the remote server.

Copyright © 2018 JBoss by Red Hat. All rights reserved.